package de.yannicpunktdee.yoshibot.main;

import de.yannicpunktdee.yoshibot.utils.Logger;

import javax.security.auth.login.LoginException;
import java.net.URISyntaxException;

/**
 * Main-Klasse und Startpunkt für die Bot-Applikation.
 *
 * @author Yannic Link
 */
public class Main {
	
	/**
	 * Eintrittspunkt für die Applikation. Erzeugen eines neuen Yoshi-Bots und Starten.
	 *
	 * @param args Aufrufargumente. Werden später zum Konfigurieren genutzt.
	 *
	 * @throws URISyntaxException
	 */
	public static void main(String[] args) throws URISyntaxException {
		YoshiBot yoshiBot = YoshiBot.getInstance();
		
		if (!yoshiBot.init((args.length > 0) ? args[0] : null)) {
			Logger.logError("Es ist ein Fehler beim Initialisieren der Ressourcen aufgetreten.");
			return;
		}
		
		Logger.logInfo("Ressourcen erfolgreich initialisiert. Starte Yoshi Bot ...");
		
		
		yoshiBot.start();
	}
	
}
